### Method

# SpiceClientGLib DisplayChannel display_channel_get_primary

since: 0.35

#### Declaration [src]

    gboolean
    spice_display_channel_get_primary (
      SpiceChannel* channel,
      guint32 surface_id,
      SpiceDisplayPrimary* primary
    )

#### Description [src]

Retrieve primary display surface `surface_id`.

Available since: 0.35

#### Parameters

`surface_id`

  Type: `guint32`

  A surface id.

`primary`

  Type: `SpiceDisplayPrimary`

  A `SpiceDisplayPrimary`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the primary surface was found and its details collected in `primary`.